sdcard=$(readlink -f /sdcard)

kit=$sdcard/linux
img=$kit/linux.img
mnt=/data/local/mnt

export bin=/system/bin
export PATH=$bin:/usr/bin:/usr/sbin:/bin:$PATH
export TERM=screen
export HOME=/root

echo "Remounting /system rw ..."
#mount -o remount,rw /system
sh $kit/scripts/fsrw

echo "Installing scripts in $bin ..."
cd $kit/scripts
for file in *; do
  cp $file $bin
  chmod 755 $bin/$file
done
cd - > /dev/null

echo "Mounting the Linux image ..."
#mount the image
$bin/linux mount

echo "Customizing the image ..."
echo "nameserver 8.8.8.8" > $mnt/etc/resolv.conf
echo "nameserver 8.8.4.4" >> $mnt/etc/resolv.conf
#echo "Setting localhost on /etc/hosts "
#echo "127.0.0.1 localhost" > $mnt/etc/hosts

echo "  Installing root-scripts ..."
#install custom root-scripts in $mnt/root/scripts
if [ ! -d $mnt/root/scripts ]; then
  mkdir $mnt/root/scripts
fi
chmod 755 $mnt/root/scripts
cp $kit/root-scripts/* $mnt/root/scripts
chmod 755 $mnt/root/scripts/*

echo "Install finished"
